Bug 434021 - gds2pov failed massrebuild attempt for GCC 4.3
gds2pov failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gds2pov (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:56 EST by Jesse Keating
Modified: 2013-01-09 21:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 04:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:56:30 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=437233
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-23 15:02:48 EST
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/config_cfg.cpp: In constructor
'GDSConfig::GDSConfig(char*)':
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/config_cfg.cpp:115: error:
'strstr' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/config_cfg.cpp:148: error:
'strstr' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/config_cfg.cpp:203: error:
'strncpy' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/config_cfg.cpp:204: error:
'strlen' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/config_cfg.cpp:228: error:
'strncpy' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/config_cfg.cpp:229: error:
'strlen' was not declared in this scope
make[2]: *** [libgdsto3d/CMakeFiles/gdsto3d.dir/config_cfg.o] Error 1
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp: In member
function 'void GDSProcess::Parse(char*)':
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp:121: error:
'strstr' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp:143: error:
'strstr' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp:171: error:
'strlen' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp:173: error:
'strcpy' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp: In member
function 'ProcessLayer* GDSProcess::GetLayer(const char*)':
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp:434: error:
'strcmp' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp: In member
function 'void GDSProcess::AddLayer(ProcessLayer*)':
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp:472: error:
'strlen' was not declared in this scope
/builddir/build/BUILD/gdsto3d-20070815/libgdsto3d/process_cfg.cpp:473: error:
'strcpy' was not declared in this scope
make[2]: *** [libgdsto3d/CMakeFiles/gdsto3d.dir/process_cfg.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/gdsto3d-20070815/build'
make[1]: *** [libgdsto3d/CMakeFiles/gdsto3d.dir/all] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/gdsto3d-20070815/build'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.16954 (%build)
Comment 2 Chitlesh GOORAH 2008-03-02 04:19:20 EST
Fixed in Rawhide

Note You need to log in before you can comment on or make changes to this bug.